## org.red5.server
Interface ClientRegistryMBean

All Known Implementing Classes:
  ClientRegistry

    public interface ClientRegistryMBean

An MBean interface for the client registry.

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

Method Summary
`Client` `getClient(String id)`
`List<Client>` `getClientList()`
`boolean` `hasClient(String id)`
`String` `nextId()`
`String` `previousId()`

Method Detail

### nextId

    String nextId()

### previousId

    String previousId()

### hasClient

    boolean hasClient(String id)

### getClientList

    List<Client> getClientList()

### getClient

    Client getClient(String id)
                     throws ClientNotFoundException

  Throws:
    `ClientNotFoundException`

Copyright © 2006-2010 The Red5 Project